Bug 101440 - redhat-control-network does not run as root user.
redhat-control-network does not run as root user.
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-07-31 21:42 EDT by jostle
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-04 06:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
trace dump (866 bytes, text/plain)
2003-07-31 21:43 EDT, jostle
no flags Details

  None (edit)
Description jostle 2003-07-31 21:42:46 EDT
Description of problem:
redhat-control-network should be run as the root user and ask for root password
if necessary (just like redhat-config-network e.g.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run redhat-control-network
Actual results:
redhat-control-network is run as the logged in user.

Expected results:
User should be prompted for the root password.

Additional info:
If redhat-control-network is run as a non-privileged user it crashes with the
attached trace dump.
Comment 1 jostle 2003-07-31 21:43:45 EDT
Created attachment 93320 [details]
trace dump
Comment 2 Harald Hoyer 2003-08-01 05:15:57 EDT
please retry with the bugfix version on:
Comment 3 Harald Hoyer 2004-06-04 06:06:28 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.